> For the complete documentation index, see [llms.txt](https://docs.groundcover.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.groundcover.com/reference/embedded-grafana/embedded-grafana-dashboards/create-a-dashboard.md).

# Create a Grafana dashboard

{% hint style="info" %}
groundcover enables access to an embedded Grafana, within the groundcover platform's interface.&#x20;

This option is turned off by default. If required, reach out to the groundcover team to enable it.
{% endhint %}

A dashboard is a great tool for visually tracking, analyzing, and displaying key performance metrics, which enable you to monitor the health of your infrastructure and applications.

### Creating a new dashboard

1️⃣ Go to the *Dashboards* tab in the groundcover app, and click **New** and then **New Dashboard.**

2️⃣ Create your first panel by clicking **Add a new panel**.

3️⃣ In the New panel view, go to the **Query** tab.

4️⃣ Choose your data source by pressing the `-- Grafana --` on the data source selector. You would see your the metrics collected from each of your clusters an a Prometheus data source called <mark style="color:orange;">`Prometheus`</mark>`@`<mark style="color:blue;">`<cluster-name>`</mark>

5️⃣ Create your first Query in the PromQL query interface.

{% hint style="info" %}
Learn more about [Grafana panels](https://grafana.com/docs/grafana/v8.4/panels/) and [PromQL queries](https://prometheus.io/docs/prometheus/latest/querying/basics/) to improve your skills.\
For any help in creating your custom dashboard don't hesitate to [join our Slack support channel](https://www.groundcover.com/join-slack).
{% endhint %}

{% hint style="info" %}
**Tips:** \\

* Learn more about the supported metrics you can use to build dashboards in the [Infrastructure Monitoring](/investigate/metrics/infrastructure-monitoring.md#infrastructure-metrics) section under [Infrastructure Monitoring](/investigate/metrics/infrastructure-monitoring.md) and [Application Metrics](/investigate/traces-and-apm/application-performance-monitoring-apm/application-metrics.md) page.\\
* groundcover has a set of example dashboards in the *Dashboards by groundcover* folder which can get you started.\
  \
  These dashboard are read-only but you can see the PromQL query behind each panel by right-clicking the panel and then **Explore**\
  ![](https://2771001740-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FUHgqKYgCiRKdOpWQdi52%2Fuploads%2Fgit-blob-611b534ecdfd35d333aa8f130ddfab2ad5e6477e%2Fimage.png?alt=media)\\
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.groundcover.com/reference/embedded-grafana/embedded-grafana-dashboards/create-a-dashboard.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
